Create Or Update Log Configurations
Change level of the logs
Change level of the logs
Request
URI
PUT
https://{api_host}/suite-api/api/logs/configuration/{logtype}
COPY
Path Parameters
string
logtype
Required
Log type
Possible values are :
ANALYTICS,
COLLECTOR,
WEB,
VIEW_BRIDGE,
VCOPS_BRIDGE,
SUITEAPI,
Query Parameters
boolean
allowAddingNewSettings
Optional
Constraints:
default: false
Set this flag to 'true' to add new log classes. The default value is 'false'.
Request Body
The data for log configuration
log-configuration
of type(s)
application/json
Required
"{\n \"rootLoggerLevel\" : \"WARNING\",\n \"maxLogSize\" : 350,\n \"settings\" : [ {\n \"name\" : \"com.vmware.info.logger.name\",\n \"level\" : \"INFO\"\n }, {\n \"name\" : \"com.vmware.debug.logger.name\",\n \"level\" : \"DEBUG\"\n } ]\n}"
integer As int32
As int32
maxLogSize
Optional
This number specifies how much of log data to retain (MB)
string
rootLoggerLevel
Optional
The level of the root log
Possible values are :
INFO,
WARNING,
ERROR,
FATAL,
OFF,
UNKNOWN,
array of
object
settings
Optional
Logs Settings
Responses
200
The updated data for log configuration
Returns
log-configuration
of type(s)
application/json
"{\n \"rootLoggerLevel\" : \"WARNING\",\n \"maxLogSize\" : 350,\n \"settings\" : [ {\n \"name\" : \"com.vmware.info.logger.name\",\n \"level\" : \"INFO\"\n }, {\n \"name\" : \"com.vmware.debug.logger.name\",\n \"level\" : \"DEBUG\"\n } ]\n}"
integer As int32
As int32
maxLogSize
Optional
This number specifies how much of log data to retain (MB)
string
rootLoggerLevel
Optional
The level of the root log
Possible values are :
INFO,
WARNING,
ERROR,
FATAL,
OFF,
UNKNOWN,
array of
object
settings
Optional
Logs Settings
404
Given wrong or non existing log name
Operation doesn't return any data structure
Code Samples
COPY
curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/suite-api/api/logs/configuration/{logtype}
On This Page
Logs Management Operations
GET
Get Log Configurations By Type
PUT
Create Or Update Log Configurations
DELETE
Delete Log Configuration Settings
GET
Get Log Forwarding Configuration
PUT
Update Log Forwarding Configuration
PUT
Disable Log Forwarding
PUT
Enable Log Forwarding
GET
Get All LI Query Configs
POST
Create Query Config
PUT
Update Query Config
DELETE
Delete LI Query Config
GET
Get LI Query Config